#!/bin/sh
#
# The chrooted environment helper
# Copyright (C) 2001-2002  Dmitry V. Levin <ldv@altlinux.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

[ -z "$DURING_INSTALL" ] || exit 0

unset a f t force

t=`/bin/getopt -n update_chrooted -o f -l force -- "$@"` || exit
eval set -- "$t"

while :; do
	case "$1" in
		-f|--force)
			shift
			force=-f
			;;
		--) shift; break ;;
	esac
done

for a in "$@"; do
	[ -n "$a" ] || continue
	for f in /etc/chroot.d/*."$a"; do
		# Check if the script exists.
		[ -x "$f" ] || continue

		# Don't run *.rpm* and *~ scripts
		[ "${f%.rpm*}" == "$f" -a "${f%\~}" == "$f" ] || continue

		"$f" $force
	done
done

:
